%define name 	gdis
%define version 0.81
%define release 2mdk

Summary: 	A molecular and crystal model viewer 
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Sciences/Chemistry
URL: 		http://gdis.sourceforge.net/
Source: 	%name-%version.tar.bz2
Source2:	%name-models.tar.bz2
BuildRoot: 	%_tmppath/%name-root
BuildRequires: 	MesaGLU-devel libMesaglut-devel gtk2-devel gtkglext-devel
Requires: 	povray-official ImageMagick openbabel grace

%description
gdis is a graphical program for displaying and manipulating 
molecular and crystal systems.

%prep
%setup -q -a 2
mv gdis/models .
rm -fr gdis
rm -fr models/CVS

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
make INSTALL=$RPM_BUILD_ROOT/%_bindir install

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="gdis"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="Gdis"\
icon="chemistry_section.png"\
longtitle="Molecule/crystal viewer"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,0755)
%doc README CHANGELOG TODO GPL.txt models
%_bindir/*
%_menudir/%name

%changelog
* Tue Feb 25 2004 Austin Acton <austin@mandrake.org> 0.81-2mdk
- fix locations
- please ignore the screwed up dates; I'm insane

* Mon Feb 25 2004 Austin Acton <austin@mandrake.org> 0.81-1mdk
- 0.81

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.77.4-1mdk
- 0.77.4

* Wed Feb 26 2003 Austin Acton <aacton@yorku.ca> 0.77.3-1mdk
- 0.77.3
- fix requires
- remove references to /usr/local

* Sat Nov 23 2002 Austin Acton <aacton@yorku.ca> 0.77.2-1mdk
- initial package for Mandrake 9
